## kernel-image-2.2.20-i386 2.2.20-5woody5

=== debian/changelog ===
kernel-image-2.2.20-i386 (2.2.20-5woody5) stable-security; urgency=low

  * Non-maintainer upload by the Security Team
  * Built against kernel-source-2.2.20 2.2.20-5woody3 to include the patch
    extracted from upstream 2.2.26 to fix local privilege escalation
    discovered by Paul Starzetz (CAN-2004-0077)
  * Removed dependency and support for modules-scyld-source-0.1 since it
    doesn't build anymore anyway.
  * This effectively removes all *-scyld.o modules

 -- Martin Schulze <joey@infodrom.org>  Thu, 26 Feb 2004 19:10:57 +0100

kernel-image-2.2.20-i386 (2.2.20-5woody4) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Built against kernel-source-2.2.20 2.2.20-5woody3 to include the patch
    extracted from upstream 2.2.26 to fix local privilege escalation
    discovered by Paul Starzetz (CAN-2004-0077)
  * Added KERNVER=$(version) KERN_INCLUDE=$$PWD/include to build arguments
    for removed scyld modules, so that the package has a chance to build
    the packages it should.

 -- Martin Schulze <joey@infodrom.org>  Thu, 26 Feb 2004 18:06:05 +0100

kernel-image-2.2.20-i386 (2.2.20-5woody3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Rebuild with pcmcia-cs from stable-security so that katie ACCEPTs us 

 -- Matt Zimmerman <mdz@debian.org>  Fri, 20 Jun 2003 16:04:03 -0400

kernel-image-2.2.20-i386 (2.2.20-5woody2) stable-security; urgency=high

  * Rebuild source package because apparently the 'clean' target doesn't work
  * No changes

 -- Matt Zimmerman <mdz@debian.org>  Fri, 20 Jun 2003 14:34:42 -0400

kernel-image-2.2.20-i386 (2.2.20-5woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Build with kernel-source-2.2.20-5woody1, fixing several security
    vulnerabilities:
    - CAN-2003-0364: The TCP/IP fragment reassembly handling in the Linux
      kernel 2.4 allows remote attackers to cause a denial of service (CPU
      consumption) via certain packets that cause a large number of hash table
      collisions
    - CAN-2003-0001: Multiple ethernet Network Interface Card (NIC) device
      drivers do not pad frames with null bytes, which allows remote
      attackers to obtain information from previous packets or kernel
      memory by using malformed packets
    - CAN-2003-0127: The kernel module loader allows local users to gain
      root privileges by using ptrace to attach to a child process that
      is spawned by the kernel
    - CVE-2002-0429: The iBCS routines in arch/i386/kernel/traps.c for Linux
      kernels 2.4.18 and earlier on x86 systems allow local users to kill
      arbitrary processes via a a binary compatibility interface (lcall)
    - CAN-2002-1380: Linux kernel 2.2.x allows local users to cause a denial
      of service (crash) by using the mmap() function with a PROT_READ
      parameter to access non-readable memory pages through the /proc/pid/mem
      interface.


 -- Matt Zimmerman <mdz@debian.org>  Thu, 19 Jun 2003 19:10:07 -0400

kernel-image-2.2.20-i386 (2.2.20-5) unstable; urgency=low

  * Include all scyld network drivers.  Those with the same name as kernel
    network drivers will have a _scyld suffix (closes: #139471).

 -- Herbert Xu <herbert@debian.org>  Sat, 20 Apr 2002 11:42:23 +1000

kernel-image-2.2.20-i386 (2.2.20-4) unstable; urgency=high

  * Built against kernel-source 2.2.20-5.

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Mar 2002 19:53:33 +1100

kernel-image-2.2.20-i386 (2.2.20-3) unstable; urgency=high

  * Built against kernel-source 2.2.20-4.
  * Removed ide flavour as boot-floppies no longer needs it.
  * Built pcmcia modules (closes: #132376).

 -- Herbert Xu <herbert@debian.org>  Fri, 15 Mar 2002 21:56:24 +1100

kernel-image-2.2.20-i386 (2.2.20-2) unstable; urgency=low

  * Built against kernel-source 2.2.20-3.
  * Added modules-scyld-source-0.0 (closes: #83315).

 -- Herbert Xu <herbert@debian.org>  Mon, 31 Dec 2001 06:52:38 +1100

kernel-image-2.2.20-i386 (2.2.20-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sun,  4 Nov 2001 15:42:14 +1100

kernel-image-2.2.19-i386 (2.2.19-12) unstable; urgency=high

  * Built against kernel-source 2.2.19.1-1.

 -- Herbert Xu <herbert@debian.org>  Sat, 20 Oct 2001 18:07:19 +1000

kernel-image-2.2.19-i386 (2.2.19-11) unstable; urgency=low

  * Enabled PRINTER as a module on compact and idepci (closes: #111527).
  * Disabled auto-probing in some ISA SCSI drivers (closes: #109604).

 -- Herbert Xu <herbert@debian.org>  Sat, 22 Sep 2001 21:27:24 +1000

kernel-image-2.2.19-i386 (2.2.19-10) unstable; urgency=low

  * Enabled SERIAL_MANY_PORTS on all flavours (closes: #106855).
  * Enabled IDESCSI as a module on compact and idepci.

 -- Herbert Xu <herbert@debian.org>  Wed, 29 Aug 2001 19:06:34 +1000

kernel-image-2.2.19-i386 (2.2.19-9) unstable; urgency=low

  * Built against kernel-source 2.2.19-7.
  * Disabled most SCSI drivers in compact in order to enable AACRAID.

 -- Herbert Xu <herbert@debian.org>  Sat, 28 Jul 2001 18:29:03 +1000

kernel-image-2.2.19-i386 (2.2.19-8) unstable; urgency=low

  * Built against kernel-source 2.2.19-6.

 -- Herbert Xu <herbert@debian.org>  Sun, 24 Jun 2001 15:03:33 +1000

kernel-image-2.2.19-i386 (2.2.19-7) unstable; urgency=high

  * Compile the RTL8139 into idepci (closes: #99749).
  * Built against kernel-source 2.2.19-5.

 -- Herbert Xu <herbert@debian.org>  Sat,  9 Jun 2001 13:51:47 +1000

kernel-image-2.2.19-i386 (2.2.19-6) unstable; urgency=low

  * Built against kernel-source 2.2.19-4.
  * Enabled NFSv3 support (closes: #98714).

 -- Herbert Xu <herbert@debian.org>  Wed, 30 May 2001 07:29:42 +1000

kernel-image-2.2.19-i386 (2.2.19-5) unstable; urgency=low

  * All kernel-headers packages now provide kernel-headers-2.2.
  * Updated tar command for sid (closes: #97608).
  * Use make-kpkg --append_to_version.

 -- Herbert Xu <herbert@debian.org>  Wed, 16 May 2001 07:31:50 +1000


